- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.ListRemediationPlansResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans/list#body.aspect)

**Full name**: projects.locations.instances.remediationPlans.list

Lists Remediation Plans with optional filtering.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/remediationPlans`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource to list plans under. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Items per page. |
| `pageToken` | `string` Optional. Token for pagination. |
| `filter` | `string` Optional. Filter for plans. |
| `orderBy` | `string` Optional. Order for listing plans. |
| `expand` | `string` Optional. Expand the response to include related sub-resources. Supported values: \* `actions` \* `latestExecution` example: "actions, latestExecution" |

### Request body

The request body must be empty.

### Response body

Response payload for remediationPlans.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "remediationPlans": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans#RemediationPlan`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `remediationPlans[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remediationPlans#RemediationPlan`)`` A list of remediation plans. |
| `nextPageToken` | `string` Token to retrieve the next page of results. |
| `totalSize` | `integer` Total plans in the collection. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).